ch.dieseite.colladaloader.coreproc

## Class SimpleDomParser

- java.lang.Object
- - ch.dieseite.colladaloader.coreproc.SimpleDomParser

-     public class SimpleDomParser
      extends java.lang.Object

  This source is free; you can redistribute it and/or modify it under the terms of the GNU General Public License and by nameing of the originally author

  Version:
    3.1
  Author:
    Markus Zimmermann http://www.die-seite.ch

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SimpleDomParser.Element`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleDomParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SimpleDomParser.Element` | `loadXMLDataFromFile(java.lang.String filename)`
    `SimpleDomParser.Element` | `loadXMLDataFromJar(java.lang.String filename)`
    `private void` | `parseNode(org.w3c.dom.Node current, SimpleDomParser.Element parent)` reads all elements and children recursively

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleDomParser

          public SimpleDomParser()

  - ### Method Detail

    - #### loadXMLDataFromJar

          public SimpleDomParser.Element loadXMLDataFromJar(java.lang.String filename)
                                                     throws javax.xml.parsers.ParserConfigurationException,
                                                            org.xml.sax.SAXException,
                                                            java.io.IOException

      Throws:
        `javax.xml.parsers.ParserConfigurationException`
        `org.xml.sax.SAXException`
        `java.io.IOException`

    - #### loadXMLDataFromFile

          public SimpleDomParser.Element loadXMLDataFromFile(java.lang.String filename)
                                                      throws javax.xml.parsers.ParserConfigurationException,
                                                             org.xml.sax.SAXException,
                                                             java.io.IOException

      Throws:
        `javax.xml.parsers.ParserConfigurationException`
        `org.xml.sax.SAXException`
        `java.io.IOException`

    - #### parseNode

          private void parseNode(org.w3c.dom.Node current,
                                 SimpleDomParser.Element parent)

      reads all elements and children recursively
      Parameters:
        `current` -
        `parent` -